For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • POSTLog to a Flow
      • PATCHUpdate Flow Log
      • GETGet Flow
      • DELDelete Flow
      • PATCHMove Flow
      • GETList Flows
      • POSTUpsert Flow
      • GETList Versions of a Flow
      • DELDelete Flow Version
      • PATCHUpdate Flow Version
      • POSTDeploy Flow
      • DELRemove Deployment
      • GETList a Flow's Environments
      • POSTUpdate Monitoring
LogoLogo
Sign inBook a demo
APIFlows

Remove Deployment

DELETE
https://api.humanloop.com/v5/flows/:id/environments/:environment_id
DELETE
/v5/flows/:id/environments/:environment_id
$curl -X DELETE https://api.humanloop.com/v5/flows/fl_6o701g4jmcanPVHxdqD0O/environments/staging \
> -H "X-API-KEY: <apiKey>"
Remove deployed Flow from the Environment. Remove the deployed version for the specified Environment. This Flow will no longer be used for calls made to the Flow in this Environment.
Was this page helpful?
Previous

List a Flow's Environments

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Flow.
environment_idstringRequired
Unique identifier for the Environment to remove the deployment from.

Errors

422
Remove Deployment Flows ID Environments Environment ID Delete Request Unprocessable Entity Error